# 検索型番に対する処理
#   productcodeは、ファイル名から生成された型番
#   検索する際の型番を変更する、または追加する
#   戻り値は文字列配列であること

Param($productcode)

try
{
    $result = @($productcode)

    # 「-を削除」
    $newproductcode = $productcode -replace '-',''

    # 前後で違う場合は追加
    if($productcode -ne $newproductcode)
    {
        # 5桁化された型番を追加
        $result = @($productcode,$newproductcode)
    }
}
catch
{
    # 例外を起こしたら元に戻す
    $result = @($productcode)
}

return $result
